> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Portal List Progress



## OpenAPI

````yaml /openapi/mio-openapi.json get /api/v1/hub/{hub_id}/progress
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/hub/{hub_id}/progress:
    get:
      tags:
        - content-portal
      summary: Portal List Progress
      operationId: content_portal.get_content_portal_get_hub_by_hub_id_progress
      parameters:
        - in: path
          name: hub_id
          required: true
          schema:
            title: Hub Id
            type: string
        - in: query
          name: filter[node_ids]
          required: false
          schema:
            type: string
        - in: query
          name: page[size]
          required: false
          schema:
            default: 50
            type: integer
        - in: query
          name: page[after]
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/ContentProgressListResponse'
          description: Successful Response
        '422':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    ContentProgressListResponse:
      additionalProperties: false
      properties:
        data:
          items:
            $ref: '#/components/schemas/ContentProgressResource'
          title: Data
          type: array
        links:
          additionalProperties: true
          title: Links
          type: object
        meta:
          additionalProperties: true
          title: Meta
          type: object
      required:
        - data
        - meta
        - links
      title: ContentProgressListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ContentProgressResource:
      additionalProperties: false
      properties:
        attributes:
          $ref: '#/components/schemas/ContentProgressAttributes'
        id:
          title: Id
          type: string
        type:
          const: content_progress
          default: content_progress
          title: Type
          type: string
      required:
        - id
        - attributes
      title: ContentProgressResource
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    ContentProgressAttributes:
      additionalProperties: false
      properties:
        completed_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Completed At
        contact_id:
          title: Contact Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        hub_id:
          title: Hub Id
          type: string
        is_completed:
          title: Is Completed
          type: boolean
        node_id:
          title: Node Id
          type: string
        plays:
          title: Plays
          type: integer
        start_time:
          anyOf:
            - pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
              type: string
            - type: 'null'
          title: Start Time
        updated_at:
          format: date-time
          title: Updated At
          type: string
        visits:
          title: Visits
          type: integer
      required:
        - node_id
        - contact_id
        - hub_id
        - start_time
        - is_completed
        - completed_at
        - visits
        - plays
        - created_at
        - updated_at
      title: ContentProgressAttributes
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````